using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;

namespace pcd_g1
{
	class UniversalTransChangingEffect : IEffect
	{
		public bool IsSleeping
		{
			get { return false; }
		}

		public bool IsVisible
		{
			get { return true; }
		}

		public bool IsModal
		{
			get { return true; }
		}

		int animationCount = 0;
		public bool Update()
		{
			if (animationCount > 255) return true;
			return false;
		}


		public void Draw(Bitmap inputImage, Graphics input, System.Drawing.Graphics output, int inputWidth, int inputHeight, int outputWidth, int outputHeight)
		{
			animationCount += 10;
			UniversalTrans.Trans(null, inputImage, Properties.Resources.mask, output, animationCount - 10, animationCount, (float)outputWidth / (float)inputWidth, (float)outputHeight / (float)inputHeight);
		}
	}
}
